%define rname sqlite
%define name  ruby-%{rname}
%define oname %{rname}-ruby

%define version 2.2.3
%define release %mkrel 4

Summary: Ruby interface for the SQLite database engine
Name: %name
Version: %version
Release: %release
License: BSD-like
Group: Development/Ruby
URL: http://rubyforge.org/projects/sqlite-ruby/
Source0: %{oname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: ruby-devel sqlite-devel
# For the tests
BuildRequires: sqlite-tools
Provides: %{oname}

%description
Ruby interface for the SQLite database engine.

%prep
%setup -q -n %{oname}-%{version}

%build
mkdir build
cp ext/extconf.rb ext/sqlite-api.c build
cp -a lib build
pushd build
ruby extconf.rb
make
popd
ruby test/tests.rb

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
make -C build DESTDIR=%buildroot install

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/%{rname}*
%{ruby_sitearchdir}/%{rname}*
%doc ChangeLog LICENSE api doc



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.3-4mdv2009.0
+ Revision: 242621
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 2.2.3-2mdv2008.0
+ Revision: 16853
- Use Development/Ruby group
- Use std macros


* Mon Jul 18 2005 Pascal Terjan <pterjan@mandriva.org> 2.2.3-1mdk
- first release

